.modeling-and-simulation-section{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 80px;
    padding: 140px 60px 160px;
    width: 100%;
    max-width: 1920px;
    margin: 0 auto;
    background: var(--d-dark);

    border-top: 2px solid;
    border-image-source: radial-gradient(47.79% 104.84% at 50% 50%, #056CF2 0%, #000B24 100%);
    border-image-slice: 2;
}

.modeling-simulation-tab{
    display: flex;
    align-items: center;
    gap: 10px;
}

.modeling-simulation-dot{
    background: var(--d-accent);
    flex-shrink: 0;
    width: 10px;
    height: 10px;
    border-radius: 3px;
}

.modeling-and-simulation-header{
    display: flex;
    width: 100%;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.modeling-and-simulation-header .main-h2{
    color: var(--d-white);
    text-align: center;
}

.modeling-and-simulation-header .subtitle-semibold{
    color: var(--light-blue);
    text-align: center;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 26px; /* 144.444% */
    letter-spacing: 0.9px;
    text-transform: uppercase;
}

.modeling-and-simulation-grid{
    display: grid;
    width: 100%;
    grid-template-columns: repeat(12, 1fr);
    gap: 16px;
}

.modeling-and-simulation-grid .left-item{
    grid-column: span 7;
    grid-row: span 4;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: end;
    gap: 16px;
    padding: 32px;
    border-radius: 20px;
    overflow: hidden;
    position: relative;
    transition: 0.3s;
    border: 2px solid transparent;
}

.modeling-and-simulation-grid .left-item>p{
    max-width: 520px;
}

.modeling-and-simulation-grid .left-item>*{
    position: relative;
}

.modeling-and-simulation-grid .left-video-overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.modeling-and-simulation-grid .left-video-overlay video{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.modeling-and-simulation-grid .left-video-overlay::after{
    content: '';
    display: block;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    transition: 0.3s;
    background: linear-gradient(180deg, rgba(8, 14, 28, 0.00) 40.24%, rgba(8, 14, 28, 0.80) 100%);
}

.modeling-and-simulation-grid .right-item{
    border-radius: 20px;
    border: 2px solid rgba(157, 199, 255, 0.10);
    background: linear-gradient(270deg, rgba(37, 95, 232, 0.08) 0%, rgba(49, 105, 233, 0.20) 100%);
    padding: 32px;
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 16px;
    transition: 0.3s;
    grid-column: span 5;
}

.modeling-and-simulation-grid .main-h4{
    color: var(--n-white);
}

.modeling-and-simulation-grid .main-text-medium{
    color: var(--d-light-grey);
}

.modeling-and-simulation-grid .arrow-icon{
    display: none;
}

@media (hover: hover){
    .modeling-and-simulation-grid .left-item:hover{
        border-color: var(--d-dark-accent);
    }

    .modeling-and-simulation-grid .right-item:hover{
        border-color: rgba(157, 199, 255, 0.20);
        background: linear-gradient(270deg, rgba(37, 95, 232, 0.16) 0%, rgba(49, 105, 233, 0.40) 100%);
    }

    .modeling-and-simulation-grid .left-item:hover .left-video-overlay::after{
        background: linear-gradient(180deg, rgba(8, 14, 28, 0.32) 40.24%, rgba(8, 14, 28, 0.80) 100%);
    }
}

@media (max-width: 1919px) {
    .modeling-and-simulation-section{
        gap: 60px;
        padding: 100px 60px 120px;
    }

    .modeling-and-simulation-grid .left-item{
        gap: 10px;
        padding: 24px;
    }

    .modeling-and-simulation-grid .right-item{
        border-radius: 20px;
        padding: 24px;
        gap: 10px;
    }
}

@media (max-width: 1439px) {
    .modeling-and-simulation-section{
        gap: 48px;
        padding: 80px 40px 100px;
    }

    .modeling-and-simulation-header .subtitle-semibold{
        font-size: 16px;
        line-height: 26px;
        letter-spacing: 0.8px;
    }

    .modeling-and-simulation-grid .left-item{
        border-radius: 16px;
    }

    .modeling-simulation-tab{
        gap: 8px;
    }

    .modeling-and-simulation-grid .right-item{
        border-radius: 16px;
    }

    .modeling-simulation-dot{
        width: 8px;
        height: 8px;
        border-radius: 2px;
    }
}

@media (max-width: 1279px) {
    .modeling-and-simulation-section{
        gap: 40px;
        padding: 68px 40px 80px 40px;
    }

    .modeling-and-simulation-grid{
        grid-template-columns: repeat(6, 1fr);
    }

    .modeling-and-simulation-grid .left-item{
        height: auto;
        aspect-ratio: 16 / 9;
        grid-column: span 6;
    }

    .modeling-and-simulation-grid .right-item{
        padding-inline-end: 48px;
        position: relative;
        grid-column: span 3;
    }

    .modeling-and-simulation-grid.single-row .right-item{
        grid-column: span 2;
    }


    .modeling-and-simulation-grid .left-item .arrow-icon{
        background: rgba(1, 15, 47, 0.30);
    }
}

@media (max-width: 1079px) {
    .modeling-and-simulation-section{
        gap: 40px;
        padding: 68px 40px 120px;
    }

    .modeling-and-simulation-grid{
        grid-template-columns: repeat(6, 1fr);
    }

    .modeling-and-simulation-header .subtitle-semibold{
        font-size: 14px;
        line-height: 26px;
        letter-spacing: 0.7px;
    }

    .modeling-and-simulation-grid .right-item{
        padding-inline-end: 48px;
        position: relative;
        grid-column: span 6;
    }

    .modeling-and-simulation-grid.single-row .right-item{
        grid-column: span 6;
    }

    .modeling-and-simulation-grid .arrow-icon{
        display: flex;
        align-items: center;
        justify-content: center;
        position: absolute;
        width: 32px;
        height: 32px;
        border-radius: 50%;
        background: var(--d-dark-40);
        top: 14px;
        right: 14px;
    }

    .modeling-simulation-tab{
        gap: 6px;
    }

    .modeling-and-simulation-grid .left-item .arrow-icon{
        background: rgba(1, 15, 47, 0.30);
    }

    .modeling-simulation-dot{
        width: 6px;
        height: 6px;
        border-radius: 2px;
    }
}

@media (max-width: 577px) {
    .modeling-and-simulation-section{
        gap: 48px;
        padding: 60px 16px 80px;
        align-items: start;
    }

    .modeling-and-simulation-header{
        align-items: start;
    }

    .modeling-and-simulation-header .subtitle-semibold,
    .modeling-and-simulation-header .main-h2{
        text-align: start;
    }


    .modeling-and-simulation-grid .right-item{
        padding-inline-start: 20px;
        border-radius: 12px;
        min-height: 74px;
    }

    .modeling-and-simulation-grid .right-item .main-text-medium,
    .modeling-and-simulation-grid .left-item .main-text-medium{
        display: none;
    }

    .modeling-and-simulation-grid .arrow-icon{
        top: 21px;
    }

    .modeling-and-simulation-grid .left-item{
        padding: 20px;
        min-height: 280px;
        width: 100%;
    }

    .modeling-and-simulation-grid .left-item .arrow-icon{
        top: 14px;
    }
}